Subject: Re: [PATCH -next] x86, fs: add sys_compat_write for net/socket.c

From: Arnd Bergmann <[email-masked]>
Date: Tue, 30 Mar 2010 20:48:58 +0200

On Tuesday 30 March 2010 20:17:57 Florian Westphal wrote:
> Now, I realize that adding a write compat syscall is borderline
> insanity, and I am open to suggestions.

Another option, which may be marginally better, would be to redefine
the data structures to be compatible, and assign them new numbers,
with kernel compat support for the numbers in x86-32 binaries.

If you manually add padding to the new data structures in the places
that the other architectures have implicit padding, the hack will only
be needed on x86-32 and compat x86-64.

The obvious disadvantage is that you need to recompile the x86-32
binaries to work in compat mode.

	Arnd